using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Entity;
using BLL;

public partial class Admin_Scores_TesterMarkedList : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
             List<TestMark> list=null;
             if (Request.QueryString["name"] != null)
                 list = new BLLTestMark().SearchMarkByUserName(Request.QueryString["name"]);
             else if (Request.QueryString["userID"] != null)
                 list = new BLLTestMark().GetMarkList(Request.QueryString["userID"]);

                rptMarkList.DataSource = list;
                rptMarkList.DataBind();

                if (null != list)
                    lblCount.Text = list.Count.ToString();
        }
    }
}
